<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "mod_text"	Pimp my Textfeld                   |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / March 2013 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('mod_text', CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['mod_text'] = array(
    'directory' => $moduleDirectory,
    'caption'   => __('Text placeholder enhancement').' ('.$moduleDirectory.')',
    'install'   => 'function: modtext_install',
    'activate'  => 'function: modtext_activate',
    'deactivate'=> 'function: modtext_deactivate',
    'uninstall' => 'function: modtext_uninstall '.$moduleDirectory,
    'manage'	=> 'function: modtext_manage',
	'month_names' => "Jan\nFeb\nMrz\nApr\nMai\nJun\nJul\nAug\nSep\nOkt\nNov\nDez",
	'cal_date_format' => '%d.%m.%Y'
	);

function log_mod_text()  {
	global $cpoSystem;
	@mail('conpresso@gmx.de','Das Modul Text wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
}

function modtext_install()
{
    $GLOBALS['message'][] = ___('The text module was successfully installed!');
	log_mod_text();
}
function modtext_uninstall($moduleDirectory)
{
	 $GLOBALS['message'][] = sprintf(__('The text module was removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the text module.'),$moduleDirectory);

}
function modtext_activate()
{
    $GLOBALS['message'][] = ___('The text module got activated.');
}

function modtext_deactivate()
{
    $GLOBALS['message'][] = ___('The text module got deactivated.');
}

function modtext_manage()
{
	global $dbPrefix, $db, $k, $module_status;
	if(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE)  {
		echo '<a href="'.BASE_ABS.$GLOBALS['modules']['mod_text']['directory'].'/settings.php"><img src="'.SKIN_URL.'pic_settings.gif" title="'.__('settings').'" alt="'.__('settings').'"></a>';
	} else {
		echo '<img src="'.SKIN_URL.'pic_shade.gif" class="pic_" style="background: url('.SKIN_URL.'pic_settings.gif);" alt="'.  __('not available').'" title="'.__('not available').'">';
	}
}

?>